
def generate_random_word(word_length):
    import random
    import flair
    from flair.models import TextClassifier

    # Load a pre-trained text classifier
    classifier = TextClassifier.load('en-sentiment')
    
    # Generate a random word of specified length
    word = ''.join(random.choices('abcdefghijklmnopqrstuvwxyz', k=word_length))
    
    # Classify the generated word
    prediction = classifier.predict(word)
    
    return word, prediction



